@use "./bulle.scss" as bulle;

.grille {

    --unit: 24px;
    --carre: calc(4 * var(--unit));
    --aire-unit: var(--unit) var(--unit);
    --aire-carre: var(--carre) var(--carre);
    --aire-dessin: calc(35.125 * var(--unit)) calc(30.6 * var(--unit));

    // --g-col-prim: var(--bg-4);
    // --g-col-sec: var(--bg-3);
    // --g-col-back: var(--bg-1);
    
    --g-col-prim: #95afc0;
    --g-col-sec: #697983;
    --g-col-back: #4834d4;
    

    --gx: 0;
    --gy: 0;

    --1gx: calc(-1px * (var(--gx) + 1));
    --1gy: calc(-1px * (var(--gy) + 1));
    --2gx: calc(-1px * (var(--gx) + 2));
    --2gy: calc(-1px * (var(--gy) + 2));
    --dessin-x: calc(-1px * var(--gx));
    --dessin-y: calc(-1px * var(--gy));

    --pos:
        var(--dessin-x) var(--dessin-y), 
        var(--2gx) var(--2gy), var(--2gx) var(--2gy),
        var(--1gx) var(--1gy), var(--1gx) var(--1gy);

    position: relative;
    overflow: hidden;
    touch-action: none;

    background-color: var(--g-col-back);
    background-image:
        url(/img/traits.svg),
        linear-gradient(var(--g-col-prim) 2px, transparent 2px),
        linear-gradient(90deg, var(--g-col-prim) 2px, transparent 2px),
        linear-gradient(var(--g-col-sec) 1px, transparent 1px),
        linear-gradient(90deg, var(--g-col-sec) 1px, transparent 1px); 
        
    background-size:  var(--aire-dessin), var(--aire-carre), var(--aire-carre), var(--aire-unit), var(--aire-unit);
    background-position: var(--pos);

    &::after {
        content: "";
        position: absolute;
        height: 100%;
        width: 100%;
        z-index: 0;
        background-color: var(--bg);
        mix-blend-mode: multiply;
        background-color: #ffffff;
        background-image: url(/img/black-paper.png);
        background-position: var(--dessin-x) var(--dessin-y);
        background-size: calc(8 * var(--unit)) calc(8 * var(--unit));
        pointer-events: none;
    }

}

@media (prefers-color-scheme: dark) {
    .grille {

        

    }
}
.grille {

    .item {

        --x: 0; --y: 0;
        --w: 2; --h: 1;

        position: absolute;

        height: calc(var(--h) * var(--unit) * 4 );
        width: calc(var(--w) * var(--unit) * 4 );
        top: calc(var(--y) * 4 * var(--unit) - var(--gy) * 1px - 1px);
        left: calc(var(--x) * 4 * var(--unit) - var(--gx) * 1px - 1px);

        background: var(--bg);
        border: 1px solid var(--bg-5);
        border-radius: calc(var(--unit) / 4);

        font-size: calc(var(--unit) * 0.8);
        line-height: calc(var(--unit) * 1);

        padding: calc(var(--unit) / 4);

        z-index: 2;

    }

    svg.item {
        background: transparent !important;
        border: none;
        pointer-events: none;
        width: unset;
        height: unset;
        padding: 0;
        margin: 0;
        overflow: visible;
        z-index: 3;
    }

    .bulle {
        @include bulle.main();  
    }

}